BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

Specifies the scheduling priority of a .

values specify the relative scheduling priority of threads.

Operating systems are not guaranteed to support preemptive scheduling. Also, the concept of "thread priority" might not exist at all or its meaning might vary, depending on the underlying operating system. Implementers of this type are required to describe how the notion of thread priority maps to operating system priority. For more information about threads, see the class.

The property sets and returns the priority value information for a thread. Applications can request a scheduling priority for a thread by setting the property to the appropriate value. The default thread priority is .

A thread cannot be scheduled if it is in the state or the state.

- Field
  System.Threading.ThreadPriority AboveNormal

  Threads with this priority can be scheduled after threads with priority and before those with priority.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Threading.ThreadPriority BelowNormal

  Threads with this priority can be scheduled after threads with priority, and before those with priority.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Threading.ThreadPriority Highest

  Threads with this priority can be scheduled before threads with any other priority.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Threading.ThreadPriority Lowest

  Threads with this priority can be scheduled after threads with any other priority.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Threading.ThreadPriority Normal

  Threads with this priority can be scheduled after threads with priority and before those with priority.

  Threads have priority by default.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)